Skip to content
Bpanda
English
Esc
↑↓navigate↵open⌘Jpreview

List all units with the given IDs.

List all units with the given IDs. Get organizational units by ids.

Security: Any user holding a Bpanda licence for the process space.

POST/v1/warehouses/{warehouseId}/orgstructure/units/byids
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

ID of warehouse

Request body
requiredapplication/json

IDs of the orgs

idsstring[]required
Responses
200

The available orgs.

Array of OrgUnit
breadcrumbsBreadcrumb[]required
Show properties
Array of Breadcrumb
idstringrequired
namestringrequired
deputystring[]required
descriptionLocalizedFormattedText[]required
Show properties
Array of LocalizedFormattedText
formatTextFormatrequired
Allowed:BBCodeHTMLPlainText
textLocalizedStringrequired
Show properties
translationsStringTranslation[]required
valuestring
explicitRoleIdsstring[]required
externalbooleanrequired
idstring
membersstring[]required
parentIdstring
responsiblestring[]required
titleLocalizedStringrequired
Show properties
translationsStringTranslation[]required
Show properties
Array of StringTranslation
languagestringrequired
valuestring
valuestring
typestringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/orgstructure/units/byids' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "ids": [
    "string"
  ]
}'
Response
[
  {
    "breadcrumbs": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "deputy": [
      "string"
    ],
    "description": [
      {
        "format": "BBCode",
        "text": {
          "translations": [
            {
              "language": "string",
              "value": "string"
            }
          ],
          "value": "string"
        }
      }
    ],
    "explicitRoleIds": [
      "string"
    ],
    "external": true,
    "id": "string",
    "members": [
      "string"
    ],
    "parentId": "string",
    "responsible": [
      "string"
    ],
    "title": {
      "translations": [
        {
          "language": "string",
          "value": "string"
        }
      ],
      "value": "string"
    },
    "type": "string"
  }
]